# Visualization
TKMeshVS
MeshVS

# MeshVS_DataMapOfIntegerMeshEntityOwner Class Reference

`#include <MeshVS_DataMapOfIntegerMeshEntityOwner.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MeshVS_DataMapOfIntegerMeshEntityOwner (const Standard_Integer NbBuckets=1)
Standard_EXPORT MeshVS_DataMapOfIntegerMeshEntityOwner & | Assign (const MeshVS_DataMapOfIntegerMeshEntityOwner &Other)
MeshVS_DataMapOfIntegerMeshEntityOwner & | operator= (const MeshVS_DataMapOfIntegerMeshEntityOwner &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~MeshVS_DataMapOfIntegerMeshEntityOwner ()
Standard_EXPORT Standard_Boolean | Bind (const Standard_Integer &K, const Handle(MeshVS_MeshEntityOwner)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Standard_Integer &K) const
Standard_EXPORT Standard_Boolean | UnBind (const Standard_Integer &K)
Standard_EXPORT const Handle_MeshVS_MeshEntityOwner & | Find (const Standard_Integer &K) const
const Handle_MeshVS_MeshEntityOwner & | operator() (const Standard_Integer &K) const
Standard_EXPORT Handle_MeshVS_MeshEntityOwner & | ChangeFind (const Standard_Integer &K)
Handle_MeshVS_MeshEntityOwner & | operator() (const Standard_Integer &K)

## Private Member Functions

Standard_EXPORT | MeshVS_DataMapOfIntegerMeshEntityOwner (const MeshVS_DataMapOfIntegerMeshEntityOwner &Other)

## Constructor & Destructor Documentation

Standard_EXPORT MeshVS_DataMapOfIntegerMeshEntityOwner::MeshVS_DataMapOfIntegerMeshEntityOwner | ( | const Standard_Integer | NbBuckets = `1` | ) |

MeshVS_DataMapOfIntegerMeshEntityOwner::~MeshVS_DataMapOfIntegerMeshEntityOwner | ( |  | ) | `[inline]`

Standard_EXPORT MeshVS_DataMapOfIntegerMeshEntityOwner::MeshVS_DataMapOfIntegerMeshEntityOwner | ( | const MeshVS_DataMapOfIntegerMeshEntityOwner & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT MeshVS_DataMapOfIntegerMeshEntityOwner& MeshVS_DataMapOfIntegerMeshEntityOwner::Assign | ( | const MeshVS_DataMapOfIntegerMeshEntityOwner & | Other | ) |

Standard_EXPORT Standard_Boolean MeshVS_DataMapOfIntegerMeshEntityOwner::Bind | ( | const Standard_Integer & | K,
|  | const Handle(MeshVS_MeshEntityOwner)& | I
| ) |

Standard_EXPORT Handle_MeshVS_MeshEntityOwner& MeshVS_DataMapOfIntegerMeshEntityOwner::ChangeFind | ( | const Standard_Integer & | K | ) |

Standard_EXPORT void MeshVS_DataMapOfIntegerMeshEntityOwner::Clear | ( |  | ) |

Standard_EXPORT const Handle_MeshVS_MeshEntityOwner& MeshVS_DataMapOfIntegerMeshEntityOwner::Find | ( | const Standard_Integer & | K | ) | const

Standard_EXPORT Standard_Boolean MeshVS_DataMapOfIntegerMeshEntityOwner::IsBound | ( | const Standard_Integer & | K | ) | const

void MeshVS_DataMapOfIntegerMeshEntityOwner::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MeshVS_DataMapOfIntegerMeshEntityOwner::operator new | ( | size_t | size | ) | `[inline]`

void* MeshVS_DataMapOfIntegerMeshEntityOwner::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_MeshVS_MeshEntityOwner& MeshVS_DataMapOfIntegerMeshEntityOwner::operator() | ( | const Standard_Integer & | K | ) | `[inline]`

const Handle_MeshVS_MeshEntityOwner& MeshVS_DataMapOfIntegerMeshEntityOwner::operator() | ( | const Standard_Integer & | K | ) | const`[inline]`

MeshVS_DataMapOfIntegerMeshEntityOwner& MeshVS_DataMapOfIntegerMeshEntityOwner::operator= | ( | const MeshVS_DataMapOfIntegerMeshEntityOwner & | Other | ) | `[inline]`

Standard_EXPORT void MeshVS_DataMapOfIntegerMeshEntityOwner::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean MeshVS_DataMapOfIntegerMeshEntityOwner::UnBind | ( | const Standard_Integer & | K | ) |

The documentation for this class was generated from the following file:

- MeshVS_DataMapOfIntegerMeshEntityOwner.hxx